@font-face {
  font-family: "Montserrat";
  src: url("assets/Montserrat/static/Montserrat-Regular.ttf") format("truetype");
  font-weight: normal;
  font-style: normal;
}

@font-face {
  font-family: "Montserrat";
  src: url("assets/Montserrat/static/Montserrat-Bold.ttf") format("truetype");
  font-weight: bold;
  font-style: normal;
}

:root {
  --primary: #f01e1e;
  --secondary: #c80014;
  --accent: #f3f3f3;
  --accent-dark: #8a8a8a;
  --error: #dc7568;
  --disabled: #dedede;
  --shadow: #00000023;
  --shadow-dark: #00000055;
  --side-padding: 100px;
  --side-padding-mobile: 10px;
  --box-shadow: 0px 5px 20px var(--shadow);
  --box-shadow-light: 0px 2px 5px var(--shadow);
  --drawer-width: 180px;
  --drawer-width-small: 60px;

  font-family: Montserrat, serif;
}

body {
  margin: 0;
}

.app-body {
  min-height: 100vh;
  display: grid;
  grid-template-rows: min-content auto min-content;
  max-height: 100vh;
  overflow-y: hidden;
}

h1 {
  font-size: xxx-large;
  color: var(--primary);
  margin: 0;
}

h2 {
  color: black;
}

h3 {
  color: var(--accent-dark);
  margin: 0;
}

p {
  font-size: small;
}

label,
legend {
  font-size: small;
  color: var(--accent-dark);
}

.hidden {
  display: none;
}

input,
select {
  padding: 8px 12px 4px;
  border: none;
  border-top-left-radius: 5px;
  border-top-right-radius: 5px;
  background: var(--accent);
  outline: none;
  border-bottom: 2px solid var(--accent-dark);
  transition: 0.3s ease;
}

input:focus {
  border-bottom: 2px solid var(--primary);
  transition: 0.3s ease;
}

textarea {
  padding: 15px 15px;
  border: none;
  border-radius: 10px;
  background: var(--accent);
  outline: none;
}

input:disabled,
select:disabled {
}

button {
  border: none;
  border-radius: 5px;
  background: var(--primary);
  padding: 8px 18px;
  color: white;
  transition: all 0.3s;
  font-weight: bold;
  box-shadow: var(--box-shadow-light);
}

.button-group {
  display: flex;
  gap: 1rem;
}

button:hover {
  background: var(--secondary);
  transition: all 0.3s;
}

.content {
  display: flex;
  overflow: hidden;
}

.title-container {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  gap: 1rem;
}

.container {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding: 2rem var(--side-padding);
  width: -webkit-fill-available;
}

.page-content {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  margin-bottom: 2rem;
  width: 100%;
}

.page-container {
  padding: 1rem;
  background: white;
  gap: 1rem;
  box-shadow: var(--box-shadow);
  max-width: 70%;
}

.form-container {
  padding: 1rem;
}

.field {
  display: flex;
  flex-direction: column;
  gap: 0.3rem;
}

.banner {
  position: absolute;
  left: 0;
  top: 0;
  padding: 0.7rem;
  display: flex;
  color: white;
  font-size: small;
  font-weight: bold;
  justify-content: center;
  margin: 10px;
  border-radius: 5px;
  transition: all 0.3s ease;
  z-index: 4;
}

.banner.closed {
  left: -100%;
}

.banner.error {
  background: var(--error);
}

.banner.success {
  background: green;
}

.footer-container {
  display: flex;
  justify-content: space-between;
  padding: 10px 100px;

  p {
    margin: 0;
    font-size: small;
  }
}

.tabs-list {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 1rem;
  list-style: none;
  padding: 0;
  margin: 0;

  li {
    font-size: small;
    border-bottom: none;
    padding: 0.5rem;
    border-bottom: 2px solid transparent;
    transition: 0.3s ease;
    cursor: pointer;
  }

  li:hover {
    border-bottom: 2px solid var(--accent);
    transition: 0.3s ease;
  }

  li.selected {
    border-bottom: 2px solid var(--primary);
  }
}

.page {
  display: grid;
  gap: 1rem;
  padding: 1rem;
}
.paper {
  display: flex;
  flex-direction: column;
  border-radius: 3px;
  padding: 20px;
  background-color: #fff;
  box-shadow: var(--box-shadow-light);
}

.table-header {
  display: flex;
  gap: 1rem;
}

.table-header h2 {
  margin: 0;
}
.custom-range-form {
  display: none;
  gap: 1rem;
  flex-wrap: wrap;
}

table {
  border-collapse: collapse;
  margin-bottom: 1rem;
  width: 100%;

  input {
    padding: 0;
    background: transparent;
    border-bottom: none;
  }
}

td {
  font-size: smaller;
  padding: 5px;
}

th {
  font-size: smaller;
  text-align: left;
  padding: 5px;
  font-weight: normal;
}

tbody tr {
  transition: 0.1s ease;
}

tbody tr:nth-child(odd) {
  background-color: var(--accent);
}

tbody tr.clickable:hover {
  background-color: var(--accent-dark);
  color: white;
  transition: 0.1s ease;
}

form {
  display: grid;
  gap: 1rem;
  margin-top: 1rem;
}

form button {
  margin-top: 1rem;
}

.network-logos {
  display: flex;
  gap: 1rem;
  justify-content: center;
  align-items: center;
  margin-top: 3rem;
}

.comments {
  grid-column: 1 / span 2;
}

.drawer-container {
  position: absolute;
  right: 0;
  top: 0;
  overflow-x: hidden;
  overflow-y: scroll;
  height: 100vh;
  max-height: 100vh;
  pointer-events: none;
  width: 100vw;
  scrollbar-width: none;
}

.popup {
  position: absolute;
  top: 50vh;
  right: 50vw;
  min-width: 400px;
  background-color: white;
  pointer-events: all;
  transition: 0.5s ease;
  translate: 50% -50%;
  padding: 1rem;
  border-radius: 8px;
  display: grid;
  gap: 1rem;
}

.drawer {
  position: absolute;
  top: 0;
  right: 0;
  width: 400px;
  background-color: white;
  pointer-events: all;
  translate: 400px;
  transition: 0.5s ease;
  margin-top: 50px;
  height: calc(100vh - 50px);
}

.drawer.open {
  translate: 0px;
  transition: 0.5s ease;
  box-shadow: var(--box-shadow);
  min-height: max-content;
}

.drawer-container.open {
  background-color: var(--shadow-dark);
}

.drawer-arrow {
  position: absolute;
  top: 50%;
  left: 3px;
  font-size: large;
}

@media screen and (max-width: 550px) {
  .footer-container {
    padding: 10px 10px;
  }

  .network-logos {
    img {
      width: 100px;
    }
  }

  .container {
    padding: 2rem var(--side-padding-mobile);
  }

  .comments {
    grid-column: 1;
  }

  button {
    padding: 10px 25px;
  }

  h1 {
    font-size: x-large;
    color: var(--primary);
    margin: 0;
  }

  h2 {
    color: black;
    font-size: large;
  }

  h3 {
    font-size: medium;
    color: var(--accent-dark);
    margin: 0;
  }

  p,
  td {
    font-size: x-small;
  }
}
